ViennaCL - The Vienna Computing Library: viennacl::vector_tuple< ScalarT > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::vector_tuple< ScalarT > Class Template Reference

Tuple class holding pointers to multiple vectors. Mainly used as a temporary object returned from viennacl::tie(). More...

`#include <forwards.h>`

## Public Member Functions
| vector_tuple (VectorType const &v0, VectorType const &v1)
| vector_tuple (VectorType &v0, VectorType &v1)
| vector_tuple (VectorType const &v0, VectorType const &v1, VectorType const &v2)
| vector_tuple (VectorType &v0, VectorType &v1, VectorType &v2)
| vector_tuple (VectorType const &v0, VectorType const &v1, VectorType const &v2, VectorType const &v3)
| vector_tuple (VectorType &v0, VectorType &v1, VectorType &v2, VectorType &v3)
| vector_tuple (std::vector< VectorType const * > const &vecs)
| vector_tuple (std::vector< VectorType * > const &vecs)
vcl_size_t | size () const
vcl_size_t | const_size () const
VectorType & | at (vcl_size_t i) const
VectorType const & | const_at (vcl_size_t i) const

## Detailed Description

### template<typename ScalarT>
class viennacl::vector_tuple< ScalarT >

Tuple class holding pointers to multiple vectors. Mainly used as a temporary object returned from viennacl::tie().

Definition at line 269 of file forwards.h.

## Constructor & Destructor Documentation

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | VectorType const & | v0,
|  | VectorType const & | v1
| ) |  |
| inline

Definition at line 1080 of file vector.hpp.

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | VectorType & | v0,
|  | VectorType & | v1
| ) |  |
| inline

Definition at line 1085 of file vector.hpp.

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | VectorType const & | v0,
|  | VectorType const & | v1,
|  | VectorType const & | v2
| ) |  |
| inline

Definition at line 1093 of file vector.hpp.

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | VectorType & | v0,
|  | VectorType & | v1,
|  | VectorType & | v2
| ) |  |
| inline

Definition at line 1099 of file vector.hpp.

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | VectorType const & | v0,
|  | VectorType const & | v1,
|  | VectorType const & | v2,
|  | VectorType const & | v3
| ) |  |
| inline

Definition at line 1108 of file vector.hpp.

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | VectorType & | v0,
|  | VectorType & | v1,
|  | VectorType & | v2,
|  | VectorType & | v3
| ) |  |
| inline

Definition at line 1115 of file vector.hpp.

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | std::vector< VectorType const * > const & | vecs | ) |
| inline

Definition at line 1127 of file vector.hpp.

template<typename ScalarT>

viennacl::vector_tuple< ScalarT >::vector_tuple | ( | std::vector< VectorType * > const & | vecs | ) |
| inline

Definition at line 1133 of file vector.hpp.

## Member Function Documentation

template<typename ScalarT>

VectorType& viennacl::vector_tuple< ScalarT >::at | ( | vcl_size_t | i | ) | const
| inline

Definition at line 1145 of file vector.hpp.

template<typename ScalarT>

VectorType const& viennacl::vector_tuple< ScalarT >::const_at | ( | vcl_size_t | i | ) | const
| inline

Definition at line 1146 of file vector.hpp.

template<typename ScalarT>

vcl_size_t viennacl::vector_tuple< ScalarT >::const_size | ( |  | ) | const
| inline

Definition at line 1143 of file vector.hpp.

template<typename ScalarT>

vcl_size_t viennacl::vector_tuple< ScalarT >::size | ( |  | ) | const
| inline

Definition at line 1142 of file vector.hpp.

The documentation for this class was generated from the following files:

- viennacl/forwards.h
- viennacl/vector.hpp